Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class HelloMsg

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.testing.HelloMsg

All Implemented Interfaces:
  java.io.Serializable

public class HelloMsg
extends Message

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  Jeff Hoye
See Also:
  Serialized Form

Field Summary
`boolean` | `messageDirect` DESCRIBE THE FIELD
`Id` | `target` DESCRIBE THE FIELD

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Constructor Summary
`HelloMsg(Address addr, NodeHandle src, Id tgt, int mid)` Constructor for HelloMsg.

Method Summary
`int` | `getId()` Gets the Id attribute of the HelloMsg object
`java.lang.String` | `getInfo()` Gets the Info attribute of the HelloMsg object
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.messaging.Message
`getCredentials, getDate, getDestination, getPriority, getSender, getSenderId, getStream, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### target

    public Id target

  DESCRIBE THE FIELD

### messageDirect

    public boolean messageDirect

  DESCRIBE THE FIELD

Constructor Detail

### HelloMsg

    public HelloMsg(Address addr,
                    NodeHandle src,
                    Id tgt,
                    int mid)

  Constructor for HelloMsg.

Parameters:
  `addr` - DESCRIBE THE PARAMETER
  `src` - DESCRIBE THE PARAMETER
  `tgt` - DESCRIBE THE PARAMETER
  `mid` - DESCRIBE THE PARAMETER

Method Detail

### getInfo

    public java.lang.String getInfo()

  Gets the Info attribute of the HelloMsg object

  Returns:
    The Info value

### getId

    public int getId()

  Gets the Id attribute of the HelloMsg object

  Returns:
    The Id value

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.